chrome.runtime.onInstalled.addListener(() => {
	chrome.contextMenus.create({
		"id": "addToFavinavi",
		"title": chrome.i18n.getMessage("addToFavinavi"),
		"contexts": ["all"],
	});
});

const sendData = (data) => {
	chrome.tabs.query({
		active: true,
		currentWindow: true
	}).then(tabs => {
		chrome.tabs.sendMessage(tabs[0].id, data)
	});
};

chrome.contextMenus.onClicked.addListener(function(item, tab) {
  if (!tab.url.startsWith('chrome://')) sendData(item);
});
// 点击扩展图标
//chrome.runtime.onMessage.addListener(function(data, sender, sendResponse) {
//  if (!tab.url.startsWith('chrome://')) sendData(data);
//});
